package com.xhkjedu.smarking.controller.exam;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.xhkjedu.smarking.model.exam.MsSubjectBadstudent;
import com.xhkjedu.smarking.service.exam.MsSubjectBadstudentService;
import com.xhkjedu.utils.N_Utils;
import com.xhkjedu.utils.PageUtil;
import com.xhkjedu.vo.PageResult;
import com.xhkjedu.vo.ResultVo;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Description 阅卷科目违规学生表相关操作
 * @Author auto
 * @Date 2024-10-15
 */
@RestController
@RequestMapping("/msSubjectBadstudent")
public class MsSubjectBadstudentController {
    @Resource
    private MsSubjectBadstudentService msSubjectBadstudentService;

    /**
     * @Description 新增
     * @Param [msSubjectBadstudent]
     * @Author auto
     * @Date 2024-10-15
     * @return com.xhkjedu.vo.ResultVo
     **/
    @PostMapping("/save")
    public ResultVo save(@RequestBody MsSubjectBadstudent msSubjectBadstudent) {
        msSubjectBadstudentService.add(msSubjectBadstudent);
        return new ResultVo(0, "保存成功！");
    }

    /**
     * @Description 列表
     * @Param [msSubjectBadstudent]
     * @Author auto
     * @Date 2024-10-15
     * @return com.xhkjedu.vo.ResultVo
     **/
    @PostMapping("/list")
    public ResultVo queryList(@RequestBody MsSubjectBadstudent msSubjectBadstudent) {
        Integer page = msSubjectBadstudent.getPage();
        Integer size = msSubjectBadstudent.getPageSize();
        N_Utils.validation(new Object[]{page, "显示页码", 1, size, "显示条数", 1});
        PageHelper.startPage(page, size);
        List<MsSubjectBadstudent> list = msSubjectBadstudentService.queryList(msSubjectBadstudent);
        PageResult pageResult = PageUtil.getPageResult(new PageInfo<>(list));
        return new ResultVo(0, "查询成功！", pageResult);
    }
}
