package com.xhkjedu.smarking.controller.papercheck;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.xhkjedu.smarking.model.papercheck.MsPaperCheck;
import com.xhkjedu.smarking.service.papercheck.MsPaperCheckService;
import com.xhkjedu.utils.N_Utils;
import com.xhkjedu.utils.PageUtil;
import com.xhkjedu.vo.PageResult;
import com.xhkjedu.vo.ResultVo;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Description 阅卷试卷阅卷方式表相关操作
 * @Author auto
 * @Date 2024-10-15
 */
@RestController
@RequestMapping("/msPaperCheck")
public class MsPaperCheckController {
    @Resource
    private MsPaperCheckService msPaperCheckService;

    /**
     * @Description 新增
     * @Param [msPaperCheck]
     * @Author auto
     * @Date 2024-10-15
     * @return com.xhkjedu.vo.ResultVo
     **/
    @PostMapping("/save")
    public ResultVo save(@RequestBody MsPaperCheck msPaperCheck) {
        msPaperCheckService.add(msPaperCheck);
        return new ResultVo(0, "保存成功！");
    }

    /**
     * @Description 列表
     * @Param [msPaperCheck]
     * @Author auto
     * @Date 2024-10-15
     * @return com.xhkjedu.vo.ResultVo
     **/
    @PostMapping("/list")
    public ResultVo queryList(@RequestBody MsPaperCheck msPaperCheck) {
        Integer page = msPaperCheck.getPage();
        Integer size = msPaperCheck.getPageSize();
        N_Utils.validation(new Object[]{page, "显示页码", 1, size, "显示条数", 1});
        PageHelper.startPage(page, size);
        List<MsPaperCheck> list = msPaperCheckService.queryList(msPaperCheck);
        PageResult pageResult = PageUtil.getPageResult(new PageInfo<>(list));
        return new ResultVo(0, "查询成功！", pageResult);
    }
}
