package com.xhkjedu.smarking.controller.papercheck;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.xhkjedu.smarking.model.papercheck.MsPaperCheckTeacherTask;
import com.xhkjedu.smarking.service.papercheck.MsPaperCheckTeacherTaskService;
import com.xhkjedu.utils.N_Utils;
import com.xhkjedu.utils.PageUtil;
import com.xhkjedu.vo.PageResult;
import com.xhkjedu.vo.ResultVo;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Description 阅卷批阅教师任务表相关操作
 * @Author auto
 * @Date 2024-10-15
 */
@RestController
@RequestMapping("/msPaperCheckTeacherTask")
public class MsPaperCheckTeacherTaskController {
    @Resource
    private MsPaperCheckTeacherTaskService msPaperCheckTeacherTaskService;

    /**
     * @Description 新增
     * @Param [msPaperCheckTeacherTask]
     * @Author auto
     * @Date 2024-10-15
     * @return com.xhkjedu.vo.ResultVo
     **/
    @PostMapping("/save")
    public ResultVo save(@RequestBody MsPaperCheckTeacherTask msPaperCheckTeacherTask) {
        msPaperCheckTeacherTaskService.add(msPaperCheckTeacherTask);
        return new ResultVo(0, "保存成功！");
    }

    /**
     * @Description 列表
     * @Param [msPaperCheckTeacherTask]
     * @Author auto
     * @Date 2024-10-15
     * @return com.xhkjedu.vo.ResultVo
     **/
    @PostMapping("/list")
    public ResultVo queryList(@RequestBody MsPaperCheckTeacherTask msPaperCheckTeacherTask) {
        Integer page = msPaperCheckTeacherTask.getPage();
        Integer size = msPaperCheckTeacherTask.getPageSize();
        N_Utils.validation(new Object[]{page, "显示页码", 1, size, "显示条数", 1});
        PageHelper.startPage(page, size);
        List<MsPaperCheckTeacherTask> list = msPaperCheckTeacherTaskService.queryList(msPaperCheckTeacherTask);
        PageResult pageResult = PageUtil.getPageResult(new PageInfo<>(list));
        return new ResultVo(0, "查询成功！", pageResult);
    }
}
