package com.xhkjedu.smarking.controller.scan;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.xhkjedu.smarking.model.scan.MsScanbatchPaperBlock;
import com.xhkjedu.smarking.service.scan.MsScanbatchPaperBlockService;
import com.xhkjedu.utils.N_Utils;
import com.xhkjedu.utils.PageUtil;
import com.xhkjedu.vo.PageResult;
import com.xhkjedu.vo.ResultVo;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Description 阅卷扫描客试卷题块表相关操作
 * @Author auto
 * @Date 2024-10-15
 */
@RestController
@RequestMapping("/msScanbatchPaperBlock")
public class MsScanbatchPaperBlockController {
    @Resource
    private MsScanbatchPaperBlockService msScanbatchPaperBlockService;

    /**
     * @Description 新增
     * @Param [msScanbatchPaperBlock]
     * @Author auto
     * @Date 2024-10-15
     * @return com.xhkjedu.vo.ResultVo
     **/
    @PostMapping("/save")
    public ResultVo save(@RequestBody MsScanbatchPaperBlock msScanbatchPaperBlock) {
        msScanbatchPaperBlockService.add(msScanbatchPaperBlock);
        return new ResultVo(0, "保存成功！");
    }

    /**
     * @Description 列表
     * @Param [msScanbatchPaperBlock]
     * @Author auto
     * @Date 2024-10-15
     * @return com.xhkjedu.vo.ResultVo
     **/
    @PostMapping("/list")
    public ResultVo queryList(@RequestBody MsScanbatchPaperBlock msScanbatchPaperBlock) {
        Integer page = msScanbatchPaperBlock.getPage();
        Integer size = msScanbatchPaperBlock.getPageSize();
        N_Utils.validation(new Object[]{page, "显示页码", 1, size, "显示条数", 1});
        PageHelper.startPage(page, size);
        List<MsScanbatchPaperBlock> list = msScanbatchPaperBlockService.queryList(msScanbatchPaperBlock);
        PageResult pageResult = PageUtil.getPageResult(new PageInfo<>(list));
        return new ResultVo(0, "查询成功！", pageResult);
    }
}
