package com.xhkjedu.smarking.controller.stupaper;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.xhkjedu.smarking.model.stupaper.MsPaperStudentQuestionScore;
import com.xhkjedu.smarking.service.stupaper.MsPaperStudentQuestionScoreService;
import com.xhkjedu.utils.N_Utils;
import com.xhkjedu.utils.PageUtil;
import com.xhkjedu.vo.PageResult;
import com.xhkjedu.vo.ResultVo;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Description 阅卷学生分数修改历史表相关操作
 * @Author auto
 * @Date 2024-10-15
 */
@RestController
@RequestMapping("/msPaperStudentQuestionScore")
public class MsPaperStudentQuestionScoreController {
    @Resource
    private MsPaperStudentQuestionScoreService msPaperStudentQuestionScoreService;

    /**
     * @Description 新增
     * @Param [msPaperStudentQuestionScore]
     * @Author auto
     * @Date 2024-10-15
     * @return com.xhkjedu.vo.ResultVo
     **/
    @PostMapping("/save")
    public ResultVo save(@RequestBody MsPaperStudentQuestionScore msPaperStudentQuestionScore) {
        msPaperStudentQuestionScoreService.add(msPaperStudentQuestionScore);
        return new ResultVo(0, "保存成功！");
    }

    /**
     * @Description 列表
     * @Param [msPaperStudentQuestionScore]
     * @Author auto
     * @Date 2024-10-15
     * @return com.xhkjedu.vo.ResultVo
     **/
    @PostMapping("/list")
    public ResultVo queryList(@RequestBody MsPaperStudentQuestionScore msPaperStudentQuestionScore) {
        Integer page = msPaperStudentQuestionScore.getPage();
        Integer size = msPaperStudentQuestionScore.getPageSize();
        N_Utils.validation(new Object[]{page, "显示页码", 1, size, "显示条数", 1});
        PageHelper.startPage(page, size);
        List<MsPaperStudentQuestionScore> list = msPaperStudentQuestionScoreService.queryList(msPaperStudentQuestionScore);
        PageResult pageResult = PageUtil.getPageResult(new PageInfo<>(list));
        return new ResultVo(0, "查询成功！", pageResult);
    }
}
