package com.xhkjedu.smarking.mapper.exam;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.smarking.model.exam.MsSubject;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @Description 阅卷考试科目表 Mapper 接口
 * @Author auto
 * @Date 2024-10-15
 */
public interface MsSubjectMapper extends TkMapper<MsSubject> {
    //考试进度总览
    List<Map> examOverview(@Param("subject") MsSubject subject);

    //设置考试时间
    void setExamDate(@Param("subjects") List<MsSubject> subjects, @Param("handleid") Integer handleid, @Param("timestamp") int timestamp);

    //更改科目试卷设置状态
    int updatePstateByMpid(@Param("mpid")Integer mpid,@Param("pstate")Integer pstate);

    //根据考试科目id获取考试科目基本信息
    Map getESubjectByMsId(@Param("msid")Integer msid);

    //获取考试下学科组长权限科目
    Map<String,Object> getExamLeadSubjects(@Param("msid")Integer msid,@Param("leaderid")Integer leaderid);

    //更改科目试卷模板设置状态
    int updatePtstateByMpid(@Param("mpid")Integer mpid,@Param("ptstate")Integer ptstate);
    //更改科目试卷题块设置状
    int updatePbstateByMpid(@Param("mpid")Integer mpid,@Param("pbstate")Integer pbstate);

    //获取考试下所有科目名称
    List<Map<String,String>> listSubjectNameByExamId(@Param("examid") Integer examid);
}
