package com.xhkjedu.smarking.model.paper;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.List;

/**
 * @Description 阅卷扫描模板表
 * @Author auto
 * @Date 2024-10-15
 */
@Data
@Table(name = "ms_template")
public class MsTemplate extends BaseBean {
    @Id
    //阅卷扫描模板ID
    private Integer mtid;
    //试卷ID
    private Integer mpid;
    //模板尺寸1A3 2A4
    private Integer tsize;
    //正面图片
    private String tfront;
    //反面图片
    private String tback;
    //空白页索引
    private Integer blankindex;
    //定位正面旋转角度
    private Integer anglefront;
    //定位反面旋转角度
    private Integer angleback;
    //正面定位坐标
    private String coorfront;
    //反面定位坐标
    private String coorback;
    //正面定位像素占比
    private Double pxfront;
    //反面定位像素占比
    private String pxback;
    //缺考标记坐标
    private String misscoor;
    //违规标记坐标
    private String violatecoor;
    //考号定位坐标
    private String examnocoor;
    //涂卡数字坐标列表
    private String cardcoor;
    //当前步骤1模块信息 2图片水平定位 3定位区选择 4选择考号区 5选择客观题区 6选择缺考区 7选择违纪区 8完成
    private Integer currstep;
    //模板状态0未提交1已提交
    private Integer tstate;
    //题块框选状态0默认1已提交
    private Integer tbstate;
    //创建人ID
    private Integer createid;
    //创建时间
    private Integer createtime;

    @Transient
    private List<MsTemplateBlock> tblocks;
    @Transient
    private Integer mttype;//类型1客观题2主观题

}
